Subject: Re: [CCAMP] Follow up to routing area reorg

From: "Zafar Ali (zali)" <[email-masked]>
Date: Fri, 29 Aug 2014 16:31:29 +0000

Hi Lou: 

Many thanks for your detailed comments and offline review. Much
appreciated. Based on the feedback. I have modified both documents as
follows:
http://tools.ietf.org/id/draft-ali-ccamp-otn-signal-type-subregistry-02.txt
http://www.ietf.org/internet-drafts/draft-ali-ccamp-additional-signal-type-
g709v3-05.txt

Dear Chairs and the WG:

These are very slim documents to get code points for ODU1e, ODU3e1, and
ODU3e2. We believe we have addressed all comments received from the WG.

There was also a pool on this work at IETF89. Copy and pasting the from
minutes (http://www.ietf.org/proceedings/89/minutes/minutes-89-ccamp):

> 29           13:15     5     Title:     RSVP-TE extension for additional
>signal types in G.709 OTN
>Draft: 
>http://tools.ietf.org/html/draft-ali-ccamp-additional-signal-type-g709v3-0
>1
>Presenter:     Zafar Ali,
>http://tools.ietf.org/agenda/89/slides/slides-89-ccamp-29.pdf
<snip>
[poll] Is there interest in this work? [a reasonable number]

Given this, we believe there is support from the WG in this work to start
adoption poll. 

Any comments and a follow-up adoption poll will be greatly appreciated.

Thanks

Regards ... Zafar

-----Original Message-----
From: "[email-masked]" <[email-masked]>
Date: Wednesday, July 30, 2014 6:26 PM
To: zali <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "BRUNGARD, DEBORAH A"
<[email-masked]>
Subject: Re: [CCAMP] Follow up to routing area  reorg

>Hi Zafar,
>    Considering you weren't at the meeting you got close to the
>discussed actions.  From the raw minutes:
>
>> Lou: I suspect you mean "Standards Action" rather than "Unassigned"
>> Lou: Any comments from our AD - expect there are two areas where he
>> may comment
>> Adrian: The Experimental range looks large, also perhaps "Expert
>> Reivew" is better than "Experimental"
>> Adrian:  the G.Supp43 values should be under Expert Review rather
>> than  Experimental, as they're going to be around for too long to be
>> really  experimental
>> Lou:  Agreed, not sure why we (AD&Chair) focused on Experimental at
>> the last meeting, but Expert Reviews is clearly a better choice.
>> Authors, please make the change to allow for Expert review, consider
>> shrinking the experimental range and remove the private range. The
>> document should indicate that the expert (for the expert review) will
>> be appointed by the CCAMP WG chairs.
>>
>> Lou: The prior document should also request "Expert Review" values.
>
>So looking at the documents I think you have some actions to do before
>we can poll for adoption.  Also, strictly speaking you no longer need to
>change the registry values, but rather just the registry assignment
>policy.  This is all I'd personally recommend to do, but if you want to
>both change the registry policy and add an experimental range, this is
>your prerogative.  To fix *just* the assignment problem (and keep things
>simple), I think you can do the following to
>draft-ali-ccamp-otn-signal-type-subregistry:
>
>    2. IANA Considerations
>
>    IANA maintains the an "OTN Signal Type" subregistry to the
>"Generalized  Multi-Protocol
>    Label Switching (GMPLS) Signaling Parameters" registry. The registry
>currently is defined
>    to use the Standards Action registration policy as defined by
>[RFC5226]. This document
>    directs that both Standards Action and Specification Required
>policies, as defined in
>    [RFC5226], be applied  to this subregistry.  When needed, the
>Designated Expert shall be
>    identified by a CCAMP WG chair or, in the case the group is no
>longer active, by the IESG.
>
>and
>
>    Update the intro and abstract text to be aligned with this text.
>
>For  draft-ali-ccamp-additional-signal-type-g709v3
>
>- I think trying to maintain alignment with the text of
>draft-ali-ccamp-otn-signal-type-subregistry
>  provides no value, adds unnecessary dependent details, and should be
>dropped from the
>  document.  (Or do the extra work of updating it to match the changes
>and then rev this
>  document every time the other changes.)
>
>- You no longer need to describe the range or suggest specific values.
>
>Unless I missed something, I believe that's it.
>
>Lou
>
>On 7/26/2014 10:59 AM, Zafar Ali (zali) wrote:
>> Hi Lou, Deborah, Adrian and the WG:
>>
>> The following two documents listed in the email has been updated based
>>on
>> the comments received from Chairs, ADs and the WG. Pointer to the latest
>> version of the drafts are provided.
>>
>>      17 - draft-ali-ccamp-otn-signal-type-subregistry   ===>
>> 
>>http://www.ietf.org/internet-drafts/draft-ali-ccamp-otn-signal-type-subre
>>gi
>> stry-01.txt
>>     18 - draft-ali-ccamp-additional-signal-type-g709v3  ===>
>> 
>>http://tools.ietf.org/id/draft-ali-ccamp-additional-signal-type-g709v3-03
>>.t
>> xt 
>>
>>
>> These are very slim documents to get code points for ODU1e, ODU3e1, and
>> ODU3e2. We believe there is support from the WG in this work to start
>> adoption poll. 
>>
>> Any comments and a follow-up adoption poll will be greatly appreciated.
>>
>> Thanks
>>
>> Regards Š Zafar
>>
>>
>> -----Original Message-----
>> From: "[email-masked]" <[email-masked]>
>> Date: Friday, July 25, 2014 11:17 AM
>> To: "[email-masked]" <[email-masked]>
>> Subject: [CCAMP] Follow up to routing area  reorg
>>
>>> All,
>>>    As described in yesterday's routing area meeting, see
>>> http://www.ietf.org/proceedings/90/slides/slides-90-rtgarea-3.ppt, our
>>> ADs have initiated some changes that will impact CCAMP.  As presented,
>>> technology specific work will remain in ccamp. The other details of
>>> these changes will be flushed out as part of the forthcoming charter
>>> drafting / revising.
>>>
>>> As our AD's have stated, it is important that these changes do not stop
>>> us from making progress.  In this week's meetings we discussed actions
>>> related to  a number of individual drafts that we don't expect to be
>>> impacted by the changes.  In particular, we discussed planned updates,
>>> and subsequent adoption polls, of the following drafts:
>>>
>>>>     11 - draft-martinelli-ccamp-wson-iv-info
>>>>     12 - draft-dharinigert-ccamp-g-698-2-lmp
>>>>     13 - draft-galikunze-ccamp-g-698-2-snmp-mib
>>>>     17 - draft-ali-ccamp-otn-signal-type-subregistry
>>>>     18 - draft-ali-ccamp-additional-signal-type-g709v3
>>> Please do your updates as discussed and we should be able to poll these
>>> documents, as planned.  (Hopefully in time to allow for the discussed
>>> liaison to ITU-T.)
>>>
>>> Importantly, work on WG drafts should also continue as
>>>discussed/planned.
>>>
>>> We hope that this addresses the questions we received offline. If you
>>> still have questions, please feel free to send them to the list -- or
>>> privately if you prefer.
>>>
>>> Deborah and Lou
>>>
>>>
>>> _______________________________________________
>>> CCAMP mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/ccamp
>>
>